package cc.smtweb.framework.core.db.vo;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/3/1 15:35
 */
@SwTable("ASP_MODEL_PROJECT")
public class ModelProject extends DefaultEntity {
    public static final String ENTITY_NAME = "ASP_MODEL_PROJECT";

    public ModelProject() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("prj_id");
    }

    public void setId(long prjId) {
        put("prj_id", prjId);
    }

    public String getName() {
        return getStr("prj_name");
    }

    public void setName(String prjName) {
        put("prj_name", prjName);
    }

    public String getModule() {
        return getStr("prj_module");
    }

    public void setModule(String prj_module) {
        put("prj_module", prj_module);
    }

    public String getDepends() {
        return getStr("prj_depends");
    }

    public void setDepends(String prjDepends) {
        put("prj_depends", prjDepends);
    }

    public String getDesc() {
        return getStr("prj_desc");
    }

    public void setDesc(String prjDesc) {
        put("prj_desc", prjDesc);
    }

    public int getStatus() {
        return getInt("prj_status");
    }

    public void setStatus(int prjStatus) {
        put("prj_status", prjStatus);
    }

    public long getCreateUid() {
        return getLong("prj_create_uid");
    }

    public void setCreateUid(long prjCreateUid) {
        put("prj_create_uid", prjCreateUid);
    }

    public long getUpdateUid() {
        return getLong("prj_update_uid");
    }

    public void setUpdateUid(long prjUpdateUid) {
        put("prj_update_uid", prjUpdateUid);
    }

    public long getCreateAt() {
        return getLong("prj_create_at");
    }

    public void setCreateAt(long prjCreateAt) {
        put("prj_create_at", prjCreateAt);
    }

    public long getUpdateAt() {
        return getLong("prj_update_at");
    }

    public void setUpdateAt(long prjUpdateAt) {
        put("prj_update_at", prjUpdateAt);
    }
}
